#!/bin/bash

set -euxo pipefail

IN_FILE="$1"
PDF_FILE="${IN_FILE/.md/.pdf}"
OUT_FILE="${IN_FILE/.md/.png}"

pandoc $IN_FILE -V papersize:a4 -o /tmp/$PDF_FILE
gm convert -density 144 -page a4 /tmp/$PDF_FILE -background white -trim -bordercolor white -border 25 $OUT_FILE

